glib-gettextize patch for gnome-common
- From: jacob berkman <jacob ximian com>
- To: gnome-2-0 <gnome-2-0-list gnome org>
- Subject: glib-gettextize patch for gnome-common
- Date: 28 Oct 2001 12:18:43 -0500
here's a patch which adds glib-gettextize support to gnome-common. it
can go in after intltool gets glib-gettextize support (i've sent a patch
to darin and mjs already).
i have patches for all the packages which use gnome-common up to
gnome-core to set GETTEXT_PACKAGE, which i can commit at the same time.
one problem is that if we are doing a platform alpha this week, this
stuff can't go in that becuase glib 1.3.10 didn't have glib-gettextize.
i've asked owen if he could do a glib 1.3.10.1 release.
if you are wondering, what this means is that you should add:
jacob
--
"Beat mixing is 10000 times more fun than even video games."
-- bt
? aclocal.m4.flc
? macros/ChangeLog.flc
Index: macros2/autogen.sh
===================================================================
RCS file: /cvs/gnome/gnome-common/macros2/autogen.sh,v
retrieving revision 1.13
diff -u -r1.13 autogen.sh
--- macros2/autogen.sh 2001/10/02 19:20:02 1.13
+++ macros2/autogen.sh 2001/10/28 17:06:41
@@ -49,17 +49,29 @@
}
}
-grep "^AM_[A-Z0-9_]\{1,\}_GETTEXT" $srcdir/configure.in >/dev/null && {
- grep "sed.*POTFILES" $srcdir/configure.in >/dev/null || \
- (gettext --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "**Error**: You must have \`gettext' installed to compile $PKG_NAME."
- echo "Get ftp://alpha.gnu.org/gnu/gettext-0.10.35.tar.gz"
- echo "(or a newer version if it is available)"
- DIE=1
- }
-}
+if grep "^AM_[A-Z0-9_]\{1,\}_GETTEXT" $srcdir/configure.in >/dev/null; then
+ if grep "sed.*POTFILES" $srcdir/configure.in >/dev/null; then
+ GETTEXTIZE=""
+ else
+ if grep "^AM_GLIB_GNU_GETTEXT" configure.in >/dev/null; then
+ GETTEXTIZE="glib-gettextize"
+ GETTEXTIZE_URL="ftp://ftp.gtk.org/pub/gtk/v1.3/glib-1.3.11.tar.gz"
+ else
+ GETTEXTIZE="gettextize"
+ GETTEXTIZE_URL="ftp://alpha.gnu.org/gnu/gettext-0.10.35.tar.gz"
+ fi
+
+ if ! $GETTEXTIZE --version < /dev/null > /dev/null 2>&1; then
+ echo
+ echo "**Error**: You must have \`$GETTEXTIZE' installed to compile $PKG_NAME."
+ echo "Get $GETTEXTIZE_URL"
+ echo "(or a newer version if it is available)"
+ DIE=1
+ fi
+ fi
+fi
+
(automake --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "**Error**: You must have \`automake' installed to compile $PKG_NAME."
@@ -106,17 +118,14 @@
( cd $dr
aclocalinclude="$ACLOCAL_FLAGS"
- if grep "^AM_[A-Z0-9_]\+_GETTEXT" configure.in >/dev/null; then
- if grep "sed.*POTFILES" configure.in >/dev/null; then
- : do nothing -- we still have an old unmodified configure.in
- else
- echo "Creating $dr/aclocal.m4 ..."
- test -r $dr/aclocal.m4 || touch $dr/aclocal.m4
- echo "Running gettextize... Ignore non-fatal messages."
- echo "no" | gettextize --force --copy
- echo "Making $dr/aclocal.m4 writable ..."
- test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
- fi
+
+ if test "$GETTEXTIZE"; then
+ echo "Creating $dr/aclocal.m4 ..."
+ test -r $dr/aclocal.m4 || touch $dr/aclocal.m4
+ echo "Running $GETTEXTIZE... Ignore non-fatal messages."
+ echo "no" | $GETTEXTIZE --force --copy
+ echo "Making $dr/aclocal.m4 writable ..."
+ test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
fi
if grep "^AC_PROG_INTLTOOL" configure.in >/dev/null; then
echo "Running intltoolize..."
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]